Bug 274241 - Update causes add_to_rules: unknown key 'RUN{ignore_error}'
Update causes add_to_rules: unknown key 'RUN{ignore_error}'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 20:52 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 09:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-01 20:52:57 EDT
Description of problem:
After updating from udev-113-4 to udev-114-4 I got the following errors in 
syslog:

Sep  2 02:50:10 hurricane udevd[567]: add_to_rules: unknown key 
'RUN{ignore_error}' in /etc/udev/rules.d/80-drivers.rules:5
Sep  2 02:50:11 hurricane udevd[567]: add_to_rules: unknown key 
'RUN{ignore_error}' in /etc/udev/rules.d/80-drivers.rules:6

Version-Release number of selected component (if applicable):
udev-114-4

How reproducible:
Everytime.

Actual results:
Errors in syslog

Expected results:
No errors in syslog.
Comment 1 Harald Hoyer 2007-09-03 08:43:11 EDT
yes, the old udevd picks up the new rules during the update, which it cannot
handle. Nevertheless udevd is restarted later in the rpm update process...
So this is NOTABUG/WONTFIX?
Otherwise to prevent these messages we would have to kill udevd in %pre, which
would leave a gap with udevd not running.

Note You need to log in before you can comment on or make changes to this bug.